import { build, fake, oneOf } from "@jackfranklin/test-data-bot";
export const mockParentQuestionAnswerQuestionBuilder = build('IQuestion', {
    fields: {
        autocomplete: oneOf(false),
        choices: [],
        code: fake((f) => f.datatype.uuid()),
        created_at: fake((f) => f.date.past()),
        deactivated: oneOf(false),
        error_text: fake((f) => f.random.word()),
        field_type: 'text',
        help_text: fake((f) => f.random.word()),
        id: fake((f) => f.datatype.uuid()),
        is_active: oneOf(true),
        is_hidden: oneOf(false),
        is_readonly: oneOf(false),
        is_sensitive: oneOf(false),
        max_date: '',
        max_value: null,
        min_date: '',
        min_value: null,
        multiple: oneOf(false),
        order: 0,
        pattern: null,
        placeholder: fake((f) => f.random.word()),
        question_group_id: fake((f) => f.datatype.uuid()),
        question_pool_id: null,
        question_set_id: fake((f) => f.datatype.uuid()),
        reference_type: null,
        required: oneOf(true),
        text: fake((f) => f.random.word()),
        trackable: oneOf(false),
        updated_at: fake((f) => f.date.past()),
    },
});
export const mockParentQuestionAnswerBuilder = build('IAnswer', {
    fields: {
        active: oneOf(true),
        answer_pool_id: fake((f) => f.datatype.uuid()),
        answered_by_consumer: oneOf(false),
        answered_by_source: null,
        answered_by_user: oneOf(true),
        application_form_id: fake((f) => f.datatype.uuid()),
        choice_id: null,
        choice_ids: [],
        created_at: fake((f) => f.date.past()),
        display_type: oneOf('public'),
        errors: {},
        id: fake((f) => f.datatype.uuid()),
        is_completed: oneOf(true),
        is_readonly: oneOf(false),
        parent_answer_pool_id: null,
        question: mockParentQuestionAnswerQuestionBuilder(),
        required: oneOf(true),
        updated_at: fake((f) => f.date.past()),
        value: fake((f) => f.random.word()),
        version: fake((f) => f.datatype.number()),
    },
});
const mockMapQuestionGroupAnswersBuilder = build('IMappedQuestionGroupAnswers', {
    fields: {
        answers: [],
        group_type: 'stepper',
        label: fake((f) => f.random.word()),
        nestedGroupsWithAnswers: fake(() => new Map([])),
        order: fake((f) => f.datatype.number()),
        parentQuestionAnswer: mockParentQuestionAnswerBuilder(),
        groupId: fake((f) => f.datatype.uuid()),
        poolId: null,
    },
});
export const mockMapQuestionGroupAnswer = mockMapQuestionGroupAnswersBuilder();
